Table of Contents

## Name

AuGetBucketAttributes - get bucket attributes

## Synopsis

#include <audio/audiolib.h>

AuBucketAttributes *AuGetBucketAttributes(server, bucket, status)
AuServer *server;
AuBucketID bucket;
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
bucket
  Specifies the ID of the bucket.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuGetBucketAttributes returns the current attributes for the specified bucket, or NULL if there was an error. Use AuFreeBucketAttributes to free this structure when no longer needed.

## Errors

AuBadBucket.

## See Also

AuSetBucketAttributes, AuListBuckets.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also